### Function

# GLib PathBuf new_from_path

since: 2.76

#### Declaration

    GPathBuf*
    g_path_buf_new_from_path (
      const char* path
    )

#### Description

Allocates a new `GPathBuf` with the given `path`.

Available since: 2.76

This function is not directly available to language bindings.

#### Parameters

`path`

  Type: `const char*`

  The path used to initialize the buffer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GPathBuf`

The newly allocated path buffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.